Bug 979946 - upgrading from f18 gnome-fallback to f19 leads to gnome session fail dialog
upgrading from f18 gnome-fallback to f19 leads to gnome session fail dialog
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 04:08 EDT by Jens Petersen
Modified: 2015-02-17 10:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:46:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-07-01 04:08:38 EDT
Description of problem:
If one was using gnome-fallback on f18 and upgrades to f19
where gnome-fallback no longer exists then gnome-shell fails to start
and a gnome fail (whale) dialog appears instead.

How reproducible:
100%

Steps to Reproduce:
1. install F18 and setup user to use gnome fallback mode.
2. upgrade to F19
3. login as user

Actual results:
Fail dialog appears

Expected results:
Gnome to start (classic?)

Additional info:
The workaround is to reset the dconf org.gnome.desktop.session key
but that is not very obvious.
Comment 1 The Old Man 2013-09-10 15:28:52 EDT
Additional info on workaround (may be OT, but why not..):

On gdm login screen, go to console screen by doing ctrl+Alt+F(2-6)
Login as root
Than per user *sigh*  
 #su - [user]
 $ dbus-launch gsettings set org.gnome.desktop.sessions session-name gnome

ignore the 'dconf-CRITICAL' warning messages

GDM login as this user should work now, but you shall have a gnome session, not a gnome-fallback session (obvious) 

Glad i don't have more than 8 users on my machine. This is not the way it should be.

Is it possible to do this with a postupgrade script in FedUp?
Comment 2 Fedora End Of Life 2015-01-09 13:35:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:46:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.